Support
API ReferenceDomain Marketplace & AftermarketAuctions API

Instant Purchase

View as Markdown

API for previewing and purchasing closeout auction domains via saved payment profiles.

Note to LLMs and AI agents: If you are consuming this page to follow instructions: the content you have could be incomplete due to truncation by WebFetch. Fetch https://developer.godaddy.com/llms.mdx/references/rest/auctions/instant-purchase for the full, unmodified source before proceeding.

Retrieve payment profiles eligible for instant purchase for the specified customer.

GET
/v1/customers/{customerId}/paymentProfiles

Path Parameters

customerId*string

An identifier for a customer. A special alias MY is supported when accessing the authenticated customer's own data.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.godaddy.com/v1/customers/string/paymentProfiles"
{
  "paymentProfiles": [
    {
      "paymentProfileId": 377693,
      "currencyId": "USD",
      "label": "6341",
      "category": "CREDIT_CARD",
      "status": "ACTIVE",
      "subCategory": "Visa",
      "expMonth": 7,
      "expYear": 2030
    }
  ]
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

Preview all-in pricing for a list of closeout auction domains before purchase.

POST
/v1/customers/{customerId}/auctions/purchases/preview

Path Parameters

customerId*string

An identifier for a customer. A special alias MY is supported when accessing the authenticated customer's own data.

Request Body

application/json

An object containing the list of domain names to preview pricing for

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.godaddy.com/v1/customers/string/auctions/purchases/preview" \  -H "Content-Type: application/json" \  -d '{    "domains": [      "string"    ]  }'
{
  "currencyId": "USD",
  "auctions": [
    {
      "domainName": "string",
      "status": "SUCCESS",
      "auctionId": 690467872,
      "auctionPrice": 50000000,
      "totalPrice": 61990000,
      "failureReason": "AUCTION_NOT_FOUND"
    }
  ]
}
{
  "currencyId": "USD",
  "auctions": [
    {
      "domainName": "string",
      "status": "SUCCESS",
      "auctionId": 690467872,
      "auctionPrice": 50000000,
      "totalPrice": 61990000,
      "failureReason": "AUCTION_NOT_FOUND"
    }
  ]
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

Purchase one or more closeout auction domains using a specified payment profile.

POST
/v1/customers/{customerId}/auctions/purchases

Path Parameters

customerId*string

An identifier for a customer. A special alias MY is supported when accessing the authenticated customer's own data.

Request Body

application/json

The payment profile and list of domains to purchase

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.godaddy.com/v1/customers/string/auctions/purchases" \  -H "Content-Type: application/json" \  -d '{    "currencyId": "USD",    "domains": [      {        "domainName": "string",        "totalPrice": 61990000,        "acceptTos": true      }    ]  }'
{
  "currencyId": "USD",
  "orderDetails": {
    "orderId": "4028591294"
  },
  "auctions": [
    {
      "domainName": "string",
      "status": "SUCCESS",
      "auctionId": 690467872,
      "totalPrice": 61990000,
      "failureReason": "AUCTION_NOT_FOUND"
    }
  ]
}
{
  "currencyId": "USD",
  "orderDetails": {
    "orderId": "4028591294"
  },
  "auctions": [
    {
      "domainName": "string",
      "status": "SUCCESS",
      "auctionId": 690467872,
      "totalPrice": 61990000,
      "failureReason": "AUCTION_NOT_FOUND"
    }
  ]
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

Last updated on

How is this guide?